import{s as go,n as lo,o as po}from"../chunks/scheduler.182ea377.js";import{S as fo,i as ho,g as r,s as a,p as l,A as uo,h as o,f as n,c as s,j as m,q as p,m as g,k as d,v as e,a as I,r as f,d as h,t as u,u as _}from"../chunks/index.008d68e4.js";import{D as v}from"../chunks/Docstring.7aec8b85.js";import{I as Cr}from"../chunks/IconCopyLink.96bbb92b.js";function _o(zr){let P,tt,x,C,Xe,Q,kt,Ve,Lr="VAE Image Processor",rt,X,Dr='The <code>VaeImageProcessor</code> provides a unified API for <a href="/docs/diffusers/v0.25.0/en/api/pipelines/stable_diffusion/text2img#diffusers.StableDiffusionPipeline">StableDiffusionPipeline</a>s to prepare image inputs for VAE encoding and post-processing outputs once they’re decoded. This includes transformations such as resizing, normalization, and conversion between PIL Image, PyTorch, and NumPy arrays.',ot,Z,Tr="All pipelines with <code>VaeImageProcessor</code> accept PIL Image, PyTorch tensor, or NumPy arrays as image inputs and return outputs based on the <code>output_type</code> argument by the user. You can pass encoded image latents directly to the pipeline and return latents from the pipeline as a specific output with the <code>output_type</code> argument (for example <code>output_type=&quot;latent&quot;</code>). This allows you to take the generated latents from one pipeline and pass it to another pipeline as input without leaving the latent space. It also makes it much easier to use multiple pipelines together by passing PyTorch tensors directly between different pipelines.",at,w,z,Ze,ee,Mt,Ce,Nr="VaeImageProcessor",st,i,te,At,ze,Er="Image processor for VAE.",Ht,L,re,St,Le,kr="overlay the inpaint output to the original image",Ft,D,oe,Ot,De,Mr="Create a mask.",Ut,T,ae,Wt,Te,Ar="Blurs an image.",Rt,N,se,qt,Ne,Hr="Converts a PIL image to grayscale format.",Bt,E,ne,jt,Ee,Sr="Converts a PIL image to RGB format.",Gt,k,ie,Jt,ke,Fr="Denormalize an image array to [0,1].",Yt,M,de,Kt,Me,Or=`Finds a rectangular region that contains all masked ares in an image, and expands region to match the aspect ratio of the original image;
for example, if user drew mask in a 128x32 region, and the dimensions for processing are 512x512, the region will be expanded to 128x128.`,Qt,A,ce,Xt,Ae,Ur=`This function return the height and width that are downscaled to the next integer multiple of
<code>vae_scale_factor</code>.`,Zt,H,me,er,He,Wr="Normalize an image array to [-1,1].",tr,S,ge,rr,Se,Rr="Convert a numpy image or a batch of images to a PIL image.",or,F,le,ar,Fe,qr="Convert a NumPy image to a PyTorch tensor.",sr,O,pe,nr,Oe,Br="Convert a PIL image or a list of PIL images to NumPy arrays.",ir,U,fe,dr,Ue,jr="Postprocess the image output from tensor to <code>output_type</code>.",cr,W,he,mr,We,Gr="Preprocess the image input.",gr,R,ue,lr,Re,Jr="Convert a PyTorch tensor to a NumPy image.",pr,q,_e,fr,qe,Yr="Resize image.",nt,V,B,et,ve,hr,Be,Kr="VaeImageProcessorLDM3D",it,be,Qr="The <code>VaeImageProcessorLDM3D</code> accepts RGB and depth inputs and returns RGB and depth outputs.",dt,b,$e,ur,je,Xr="Image processor for VAE LDM3D.",_r,j,Ie,vr,Ge,Zr="Convert a PIL image or a list of PIL images to NumPy arrays.",br,G,ye,$r,Je,eo="Convert a NumPy depth image or a batch of images to a PIL image.",Ir,J,Pe,yr,Ye,to="Convert a NumPy image or a batch of images to a PIL image.",Pr,Y,xe,xr,Ke,ro="Preprocess the image input. Accepted formats are PIL images, NumPy arrays or PyTorch tensors.",wr,K,we,Vr,Qe,oo="Returns: depth map",ct;return Q=new Cr({}),ee=new Cr({}),te=new v({props:{name:"class diffusers.image_processor.VaeImageProcessor",anchor:"diffusers.image_processor.VaeImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"vae_scale_factor",val:": int = 8"},{name:"resample",val:": str = 'lanczos'"},{name:"do_normalize",val:": bool = True"},{name:"do_binarize",val:": bool = False"},{name:"do_convert_rgb",val:": bool = False"},{name:"do_convert_grayscale",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to downscale the image&#x2019;s (height, width) dimensions to multiples of <code>vae_scale_factor</code>. Can accept
<code>height</code> and <code>width</code> arguments from <a href="/docs/diffusers/v0.25.0/en/api/image_processor#diffusers.image_processor.VaeImageProcessor.preprocess">image_processor.VaeImageProcessor.preprocess()</a> method.`,name:"do_resize"},{anchor:"diffusers.image_processor.VaeImageProcessor.vae_scale_factor",description:`<strong>vae_scale_factor</strong> (<code>int</code>, <em>optional</em>, defaults to <code>8</code>) &#x2014;
VAE scale factor. If <code>do_resize</code> is <code>True</code>, the image is automatically resized to multiples of this factor.`,name:"vae_scale_factor"},{anchor:"diffusers.image_processor.VaeImageProcessor.resample",description:`<strong>resample</strong> (<code>str</code>, <em>optional</em>, defaults to <code>lanczos</code>) &#x2014;
Resampling filter to use when resizing the image.`,name:"resample"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image to [-1,1].`,name:"do_normalize"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_binarize",description:`<strong>do_binarize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to binarize the image to 0/1.`,name:"do_binarize"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_convert_rgb",description:`<strong>do_convert_rgb</strong> (<code>bool</code>, <em>optional</em>, defaults to be <code>False</code>) &#x2014;
Whether to convert the images to RGB format.`,name:"do_convert_rgb"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_convert_grayscale",description:`<strong>do_convert_grayscale</strong> (<code>bool</code>, <em>optional</em>, defaults to be <code>False</code>) &#x2014;
Whether to convert the images to grayscale format.`,name:"do_convert_grayscale"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L46"}}),re=new v({props:{name:"apply_overlay",anchor:"diffusers.image_processor.VaeImageProcessor.apply_overlay",parameters:[{name:"mask",val:": Image"},{name:"init_image",val:": Image"},{name:"image",val:": Image"},{name:"crop_coords",val:": Optional = None"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L616"}}),oe=new v({props:{name:"binarize",anchor:"diffusers.image_processor.VaeImageProcessor.binarize",parameters:[{name:"image",val:": Image"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.binarize.image",description:`<strong>image</strong> (<code>PIL.Image.Image</code>) &#x2014;
The image input, should be a PIL image.`,name:"image"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L391",returnDescription:`
<p>The binarized image. Values less than 0.5 are set to 0, values greater than 0.5 are set to 1.</p>
`,returnType:`
<p><code>PIL.Image.Image</code></p>
`}}),ae=new v({props:{name:"blur",anchor:"diffusers.image_processor.VaeImageProcessor.blur",parameters:[{name:"image",val:": Image"},{name:"blur_factor",val:": int = 4"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L169"}}),se=new v({props:{name:"convert_to_grayscale",anchor:"diffusers.image_processor.VaeImageProcessor.convert_to_grayscale",parameters:[{name:"image",val:": Image"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L160"}}),ne=new v({props:{name:"convert_to_rgb",anchor:"diffusers.image_processor.VaeImageProcessor.convert_to_rgb",parameters:[{name:"image",val:": Image"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L151"}}),ie=new v({props:{name:"denormalize",anchor:"diffusers.image_processor.VaeImageProcessor.denormalize",parameters:[{name:"images",val:": Union"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L144"}}),de=new v({props:{name:"get_crop_region",anchor:"diffusers.image_processor.VaeImageProcessor.get_crop_region",parameters:[{name:"mask_image",val:": Image"},{name:"width",val:": int"},{name:"height",val:": int"},{name:"pad",val:" = 0"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.get_crop_region.mask_image",description:"<strong>mask_image</strong> (PIL.Image.Image) &#x2014; Mask image.",name:"mask_image"},{anchor:"diffusers.image_processor.VaeImageProcessor.get_crop_region.width",description:"<strong>width</strong> (int) &#x2014; Width of the image to be processed.",name:"width"},{anchor:"diffusers.image_processor.VaeImageProcessor.get_crop_region.height",description:"<strong>height</strong> (int) &#x2014; Height of the image to be processed.",name:"height"},{anchor:"diffusers.image_processor.VaeImageProcessor.get_crop_region.pad",description:"<strong>pad</strong> (int, optional) &#x2014; Padding to be added to the crop region. Defaults to 0.",name:"pad"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L178",returnDescription:`
<p>(x1, y1, x2, y2) represent a rectangular region that contains all masked ares in an image and matches the original aspect ratio.</p>
`,returnType:`
<p>tuple</p>
`}}),ce=new v({props:{name:"get_default_height_width",anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width",parameters:[{name:"image",val:": Union"},{name:"height",val:": Optional = None"},{name:"width",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width.image(PIL.Image.Image,",description:`<strong>image(<code>PIL.Image.Image</code>,</strong> <code>np.ndarray</code> or <code>torch.Tensor</code>) &#x2014;
The image input, can be a PIL image, numpy array or pytorch tensor. if it is a numpy array, should have
shape <code>[batch, height, width]</code> or <code>[batch, height, width, channel]</code> if it is a pytorch tensor, should
have shape <code>[batch, channel, height, width]</code>.`,name:"image(PIL.Image.Image,"},{anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The height in preprocessed image. If <code>None</code>, will use the height of <code>image</code> input.`,name:"height"},{anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width.width",description:"<strong>width</strong> (<code>int</code>, <em>optional</em><code>, defaults to </code>None<code>) -- The width in preprocessed. If </code>None<code>, will use the width of the </code>image` input.",name:"width"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L407"}}),me=new v({props:{name:"normalize",anchor:"diffusers.image_processor.VaeImageProcessor.normalize",parameters:[{name:"images",val:": Union"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L137"}}),ge=new v({props:{name:"numpy_to_pil",anchor:"diffusers.image_processor.VaeImageProcessor.numpy_to_pil",parameters:[{name:"images",val:": ndarray"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L90"}}),le=new v({props:{name:"numpy_to_pt",anchor:"diffusers.image_processor.VaeImageProcessor.numpy_to_pt",parameters:[{name:"images",val:": ndarray"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L118"}}),pe=new v({props:{name:"pil_to_numpy",anchor:"diffusers.image_processor.VaeImageProcessor.pil_to_numpy",parameters:[{name:"images",val:": Union"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L106"}}),fe=new v({props:{name:"postprocess",anchor:"diffusers.image_processor.VaeImageProcessor.postprocess",parameters:[{name:"image",val:": FloatTensor"},{name:"output_type",val:": str = 'pil'"},{name:"do_denormalize",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.postprocess.image",description:`<strong>image</strong> (<code>torch.FloatTensor</code>) &#x2014;
The image input, should be a pytorch tensor with shape <code>B x C x H x W</code>.`,name:"image"},{anchor:"diffusers.image_processor.VaeImageProcessor.postprocess.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>pil</code>) &#x2014;
The output type of the image, can be one of <code>pil</code>, <code>np</code>, <code>pt</code>, <code>latent</code>.`,name:"output_type"},{anchor:"diffusers.image_processor.VaeImageProcessor.postprocess.do_denormalize",description:`<strong>do_denormalize</strong> (<code>List[bool]</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Whether to denormalize the image to [0,1]. If <code>None</code>, will use the value of <code>do_normalize</code> in the
<code>VaeImageProcessor</code> config.`,name:"do_denormalize"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L561",returnDescription:`
<p>The postprocessed image.</p>
`,returnType:`
<p><code>PIL.Image.Image</code>, <code>np.ndarray</code> or <code>torch.FloatTensor</code></p>
`}}),he=new v({props:{name:"preprocess",anchor:"diffusers.image_processor.VaeImageProcessor.preprocess",parameters:[{name:"image",val:": Union"},{name:"height",val:": Optional = None"},{name:"width",val:": Optional = None"},{name:"resize_mode",val:": str = 'default'"},{name:"crops_coords",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.preprocess.image",description:`<strong>image</strong> (<code>pipeline_image_input</code>) &#x2014;
The image input, accepted formats are PIL images, NumPy arrays, PyTorch tensors; Also accept list of supported formats.`,name:"image"},{anchor:"diffusers.image_processor.VaeImageProcessor.preprocess.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The height in preprocessed image. If <code>None</code>, will use the <code>get_default_height_width()</code> to get default height.`,name:"height"},{anchor:"diffusers.image_processor.VaeImageProcessor.preprocess.width",description:"<strong>width</strong> (<code>int</code>, <em>optional</em><code>, defaults to </code>None<code>) -- The width in preprocessed. If </code>None<code>, will use get_default_height_width()</code> to get the default width.",name:"width"},{anchor:"diffusers.image_processor.VaeImageProcessor.preprocess.resize_mode",description:`<strong>resize_mode</strong> (<code>str</code>, <em>optional</em>, defaults to <code>default</code>) &#x2014;
The resize mode, can be one of <code>default</code> or <code>fill</code>. If <code>default</code>, will resize the image to fit
within the specified width and height, and it may not maintaining the original aspect ratio.
If <code>fill</code>, will resize the image to fit within the specified width and height, maintaining the aspect ratio, and then center the image
within the dimensions, filling empty with data from image.
If <code>crop</code>, will resize the image to fit within the specified width and height, maintaining the aspect ratio, and then center the image
within the dimensions, cropping the excess.
Note that resize_mode <code>fill</code> and <code>crop</code> are only supported for PIL image input.`,name:"resize_mode"},{anchor:"diffusers.image_processor.VaeImageProcessor.preprocess.crops_coords",description:`<strong>crops_coords</strong> (<code>List[Tuple[int, int, int, int]]</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The crop coordinates for each image in the batch. If <code>None</code>, will not crop the image.`,name:"crops_coords"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L450"}}),ue=new v({props:{name:"pt_to_numpy",anchor:"diffusers.image_processor.VaeImageProcessor.pt_to_numpy",parameters:[{name:"images",val:": FloatTensor"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L129"}}),_e=new v({props:{name:"resize",anchor:"diffusers.image_processor.VaeImageProcessor.resize",parameters:[{name:"image",val:": Union"},{name:"height",val:": int"},{name:"width",val:": int"},{name:"resize_mode",val:": str = 'default'"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.resize.image",description:`<strong>image</strong> (<code>PIL.Image.Image</code>, <code>np.ndarray</code> or <code>torch.Tensor</code>) &#x2014;
The image input, can be a PIL image, numpy array or pytorch tensor.`,name:"image"},{anchor:"diffusers.image_processor.VaeImageProcessor.resize.height",description:`<strong>height</strong> (<code>int</code>) &#x2014;
The height to resize to.`,name:"height"},{anchor:"diffusers.image_processor.VaeImageProcessor.resize.width",description:`<strong>width</strong> (<code>int</code>) &#x2014;
The width to resize to.`,name:"width"},{anchor:"diffusers.image_processor.VaeImageProcessor.resize.resize_mode",description:`<strong>resize_mode</strong> (<code>str</code>, <em>optional</em>, defaults to <code>default</code>) &#x2014;
The resize mode to use, can be one of <code>default</code> or <code>fill</code>. If <code>default</code>, will resize the image to fit
within the specified width and height, and it may not maintaining the original aspect ratio.
If <code>fill</code>, will resize the image to fit within the specified width and height, maintaining the aspect ratio, and then center the image
within the dimensions, filling empty with data from image.
If <code>crop</code>, will resize the image to fit within the specified width and height, maintaining the aspect ratio, and then center the image
within the dimensions, cropping the excess.
Note that resize_mode <code>fill</code> and <code>crop</code> are only supported for PIL image input.`,name:"resize_mode"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L335",returnDescription:`
<p>The resized image.</p>
`,returnType:`
<p><code>PIL.Image.Image</code>, <code>np.ndarray</code> or <code>torch.Tensor</code></p>
`}}),ve=new Cr({}),$e=new v({props:{name:"class diffusers.image_processor.VaeImageProcessorLDM3D",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D",parameters:[{name:"do_resize",val:": bool = True"},{name:"vae_scale_factor",val:": int = 8"},{name:"resample",val:": str = 'lanczos'"},{name:"do_normalize",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to downscale the image&#x2019;s (height, width) dimensions to multiples of <code>vae_scale_factor</code>.`,name:"do_resize"},{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.vae_scale_factor",description:`<strong>vae_scale_factor</strong> (<code>int</code>, <em>optional</em>, defaults to <code>8</code>) &#x2014;
VAE scale factor. If <code>do_resize</code> is <code>True</code>, the image is automatically resized to multiples of this factor.`,name:"vae_scale_factor"},{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.resample",description:`<strong>resample</strong> (<code>str</code>, <em>optional</em>, defaults to <code>lanczos</code>) &#x2014;
Resampling filter to use when resizing the image.`,name:"resample"},{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image to [-1,1].`,name:"do_normalize"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L650"}}),Ie=new v({props:{name:"depth_pil_to_numpy",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.depth_pil_to_numpy",parameters:[{name:"images",val:": Union"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L693"}}),ye=new v({props:{name:"numpy_to_depth",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.numpy_to_depth",parameters:[{name:"images",val:": ndarray"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L716"}}),Pe=new v({props:{name:"numpy_to_pil",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.numpy_to_pil",parameters:[{name:"images",val:": ndarray"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L677"}}),xe=new v({props:{name:"preprocess",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.preprocess",parameters:[{name:"rgb",val:": Union"},{name:"depth",val:": Union"},{name:"height",val:": Optional = None"},{name:"width",val:": Optional = None"},{name:"target_res",val:": Optional = None"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L791"}}),we=new v({props:{name:"rgblike_to_depthmap",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.rgblike_to_depthmap",parameters:[{name:"image",val:": Union"}],source:"https://github.com/huggingface/diffusers/blob/v0.25.0/src/diffusers/image_processor.py#L705"}}),{c(){P=r("meta"),tt=a(),x=r("h1"),C=r("a"),Xe=r("span"),l(Q.$$.fragment),kt=a(),Ve=r("span"),Ve.textContent=Lr,rt=a(),X=r("p"),X.innerHTML=Dr,ot=a(),Z=r("p"),Z.innerHTML=Tr,at=a(),w=r("h2"),z=r("a"),Ze=r("span"),l(ee.$$.fragment),Mt=a(),Ce=r("span"),Ce.textContent=Nr,st=a(),i=r("div"),l(te.$$.fragment),At=a(),ze=r("p"),ze.textContent=Er,Ht=a(),L=r("div"),l(re.$$.fragment),St=a(),Le=r("p"),Le.textContent=kr,Ft=a(),D=r("div"),l(oe.$$.fragment),Ot=a(),De=r("p"),De.textContent=Mr,Ut=a(),T=r("div"),l(ae.$$.fragment),Wt=a(),Te=r("p"),Te.textContent=Ar,Rt=a(),N=r("div"),l(se.$$.fragment),qt=a(),Ne=r("p"),Ne.textContent=Hr,Bt=a(),E=r("div"),l(ne.$$.fragment),jt=a(),Ee=r("p"),Ee.textContent=Sr,Gt=a(),k=r("div"),l(ie.$$.fragment),Jt=a(),ke=r("p"),ke.textContent=Fr,Yt=a(),M=r("div"),l(de.$$.fragment),Kt=a(),Me=r("p"),Me.textContent=Or,Qt=a(),A=r("div"),l(ce.$$.fragment),Xt=a(),Ae=r("p"),Ae.innerHTML=Ur,Zt=a(),H=r("div"),l(me.$$.fragment),er=a(),He=r("p"),He.textContent=Wr,tr=a(),S=r("div"),l(ge.$$.fragment),rr=a(),Se=r("p"),Se.textContent=Rr,or=a(),F=r("div"),l(le.$$.fragment),ar=a(),Fe=r("p"),Fe.textContent=qr,sr=a(),O=r("div"),l(pe.$$.fragment),nr=a(),Oe=r("p"),Oe.textContent=Br,ir=a(),U=r("div"),l(fe.$$.fragment),dr=a(),Ue=r("p"),Ue.innerHTML=jr,cr=a(),W=r("div"),l(he.$$.fragment),mr=a(),We=r("p"),We.textContent=Gr,gr=a(),R=r("div"),l(ue.$$.fragment),lr=a(),Re=r("p"),Re.textContent=Jr,pr=a(),q=r("div"),l(_e.$$.fragment),fr=a(),qe=r("p"),qe.textContent=Yr,nt=a(),V=r("h2"),B=r("a"),et=r("span"),l(ve.$$.fragment),hr=a(),Be=r("span"),Be.textContent=Kr,it=a(),be=r("p"),be.innerHTML=Qr,dt=a(),b=r("div"),l($e.$$.fragment),ur=a(),je=r("p"),je.textContent=Xr,_r=a(),j=r("div"),l(Ie.$$.fragment),vr=a(),Ge=r("p"),Ge.textContent=Zr,br=a(),G=r("div"),l(ye.$$.fragment),$r=a(),Je=r("p"),Je.textContent=eo,Ir=a(),J=r("div"),l(Pe.$$.fragment),yr=a(),Ye=r("p"),Ye.textContent=to,Pr=a(),Y=r("div"),l(xe.$$.fragment),xr=a(),Ke=r("p"),Ke.textContent=ro,wr=a(),K=r("div"),l(we.$$.fragment),Vr=a(),Qe=r("p"),Qe.textContent=oo,this.h()},l(t){const $=uo("svelte-1phssyn",document.head);P=o($,"META",{name:!0,content:!0}),$.forEach(n),tt=s(t),x=o(t,"H1",{class:!0});var mt=m(x);C=o(mt,"A",{id:!0,class:!0,href:!0});var ao=m(C);Xe=o(ao,"SPAN",{});var so=m(Xe);p(Q.$$.fragment,so),so.forEach(n),ao.forEach(n),kt=s(mt),Ve=o(mt,"SPAN",{"data-svelte-h":!0}),g(Ve)!=="svelte-xcphpi"&&(Ve.textContent=Lr),mt.forEach(n),rt=s(t),X=o(t,"P",{"data-svelte-h":!0}),g(X)!=="svelte-13fuxu7"&&(X.innerHTML=Dr),ot=s(t),Z=o(t,"P",{"data-svelte-h":!0}),g(Z)!=="svelte-15xkwv1"&&(Z.innerHTML=Tr),at=s(t),w=o(t,"H2",{class:!0});var gt=m(w);z=o(gt,"A",{id:!0,class:!0,href:!0});var no=m(z);Ze=o(no,"SPAN",{});var io=m(Ze);p(ee.$$.fragment,io),io.forEach(n),no.forEach(n),Mt=s(gt),Ce=o(gt,"SPAN",{"data-svelte-h":!0}),g(Ce)!=="svelte-1l5sanc"&&(Ce.textContent=Nr),gt.forEach(n),st=s(t),i=o(t,"DIV",{class:!0});var c=m(i);p(te.$$.fragment,c),At=s(c),ze=o(c,"P",{"data-svelte-h":!0}),g(ze)!=="svelte-20k7u4"&&(ze.textContent=Er),Ht=s(c),L=o(c,"DIV",{class:!0});var lt=m(L);p(re.$$.fragment,lt),St=s(lt),Le=o(lt,"P",{"data-svelte-h":!0}),g(Le)!=="svelte-3locv9"&&(Le.textContent=kr),lt.forEach(n),Ft=s(c),D=o(c,"DIV",{class:!0});var pt=m(D);p(oe.$$.fragment,pt),Ot=s(pt),De=o(pt,"P",{"data-svelte-h":!0}),g(De)!=="svelte-1jdqg5n"&&(De.textContent=Mr),pt.forEach(n),Ut=s(c),T=o(c,"DIV",{class:!0});var ft=m(T);p(ae.$$.fragment,ft),Wt=s(ft),Te=o(ft,"P",{"data-svelte-h":!0}),g(Te)!=="svelte-6rq9eq"&&(Te.textContent=Ar),ft.forEach(n),Rt=s(c),N=o(c,"DIV",{class:!0});var ht=m(N);p(se.$$.fragment,ht),qt=s(ht),Ne=o(ht,"P",{"data-svelte-h":!0}),g(Ne)!=="svelte-vsbjec"&&(Ne.textContent=Hr),ht.forEach(n),Bt=s(c),E=o(c,"DIV",{class:!0});var ut=m(E);p(ne.$$.fragment,ut),jt=s(ut),Ee=o(ut,"P",{"data-svelte-h":!0}),g(Ee)!=="svelte-ckvlrc"&&(Ee.textContent=Sr),ut.forEach(n),Gt=s(c),k=o(c,"DIV",{class:!0});var _t=m(k);p(ie.$$.fragment,_t),Jt=s(_t),ke=o(_t,"P",{"data-svelte-h":!0}),g(ke)!=="svelte-ipi2rr"&&(ke.textContent=Fr),_t.forEach(n),Yt=s(c),M=o(c,"DIV",{class:!0});var vt=m(M);p(de.$$.fragment,vt),Kt=s(vt),Me=o(vt,"P",{"data-svelte-h":!0}),g(Me)!=="svelte-1wl6wxc"&&(Me.textContent=Or),vt.forEach(n),Qt=s(c),A=o(c,"DIV",{class:!0});var bt=m(A);p(ce.$$.fragment,bt),Xt=s(bt),Ae=o(bt,"P",{"data-svelte-h":!0}),g(Ae)!=="svelte-kfv3nk"&&(Ae.innerHTML=Ur),bt.forEach(n),Zt=s(c),H=o(c,"DIV",{class:!0});var $t=m(H);p(me.$$.fragment,$t),er=s($t),He=o($t,"P",{"data-svelte-h":!0}),g(He)!=="svelte-1l17iqw"&&(He.textContent=Wr),$t.forEach(n),tr=s(c),S=o(c,"DIV",{class:!0});var It=m(S);p(ge.$$.fragment,It),rr=s(It),Se=o(It,"P",{"data-svelte-h":!0}),g(Se)!=="svelte-49eriv"&&(Se.textContent=Rr),It.forEach(n),or=s(c),F=o(c,"DIV",{class:!0});var yt=m(F);p(le.$$.fragment,yt),ar=s(yt),Fe=o(yt,"P",{"data-svelte-h":!0}),g(Fe)!=="svelte-uauale"&&(Fe.textContent=qr),yt.forEach(n),sr=s(c),O=o(c,"DIV",{class:!0});var Pt=m(O);p(pe.$$.fragment,Pt),nr=s(Pt),Oe=o(Pt,"P",{"data-svelte-h":!0}),g(Oe)!=="svelte-x3z8ka"&&(Oe.textContent=Br),Pt.forEach(n),ir=s(c),U=o(c,"DIV",{class:!0});var xt=m(U);p(fe.$$.fragment,xt),dr=s(xt),Ue=o(xt,"P",{"data-svelte-h":!0}),g(Ue)!=="svelte-m705s9"&&(Ue.innerHTML=jr),xt.forEach(n),cr=s(c),W=o(c,"DIV",{class:!0});var wt=m(W);p(he.$$.fragment,wt),mr=s(wt),We=o(wt,"P",{"data-svelte-h":!0}),g(We)!=="svelte-1p2bpse"&&(We.textContent=Gr),wt.forEach(n),gr=s(c),R=o(c,"DIV",{class:!0});var Vt=m(R);p(ue.$$.fragment,Vt),lr=s(Vt),Re=o(Vt,"P",{"data-svelte-h":!0}),g(Re)!=="svelte-1acncdu"&&(Re.textContent=Jr),Vt.forEach(n),pr=s(c),q=o(c,"DIV",{class:!0});var Ct=m(q);p(_e.$$.fragment,Ct),fr=s(Ct),qe=o(Ct,"P",{"data-svelte-h":!0}),g(qe)!=="svelte-si84j5"&&(qe.textContent=Yr),Ct.forEach(n),c.forEach(n),nt=s(t),V=o(t,"H2",{class:!0});var zt=m(V);B=o(zt,"A",{id:!0,class:!0,href:!0});var co=m(B);et=o(co,"SPAN",{});var mo=m(et);p(ve.$$.fragment,mo),mo.forEach(n),co.forEach(n),hr=s(zt),Be=o(zt,"SPAN",{"data-svelte-h":!0}),g(Be)!=="svelte-jmziia"&&(Be.textContent=Kr),zt.forEach(n),it=s(t),be=o(t,"P",{"data-svelte-h":!0}),g(be)!=="svelte-12yfhhz"&&(be.innerHTML=Qr),dt=s(t),b=o(t,"DIV",{class:!0});var y=m(b);p($e.$$.fragment,y),ur=s(y),je=o(y,"P",{"data-svelte-h":!0}),g(je)!=="svelte-bz065s"&&(je.textContent=Xr),_r=s(y),j=o(y,"DIV",{class:!0});var Lt=m(j);p(Ie.$$.fragment,Lt),vr=s(Lt),Ge=o(Lt,"P",{"data-svelte-h":!0}),g(Ge)!=="svelte-x3z8ka"&&(Ge.textContent=Zr),Lt.forEach(n),br=s(y),G=o(y,"DIV",{class:!0});var Dt=m(G);p(ye.$$.fragment,Dt),$r=s(Dt),Je=o(Dt,"P",{"data-svelte-h":!0}),g(Je)!=="svelte-1k4lt1u"&&(Je.textContent=eo),Dt.forEach(n),Ir=s(y),J=o(y,"DIV",{class:!0});var Tt=m(J);p(Pe.$$.fragment,Tt),yr=s(Tt),Ye=o(Tt,"P",{"data-svelte-h":!0}),g(Ye)!=="svelte-1gut907"&&(Ye.textContent=to),Tt.forEach(n),Pr=s(y),Y=o(y,"DIV",{class:!0});var Nt=m(Y);p(xe.$$.fragment,Nt),xr=s(Nt),Ke=o(Nt,"P",{"data-svelte-h":!0}),g(Ke)!=="svelte-10dsfen"&&(Ke.textContent=ro),Nt.forEach(n),wr=s(y),K=o(y,"DIV",{class:!0});var Et=m(K);p(we.$$.fragment,Et),Vr=s(Et),Qe=o(Et,"P",{"data-svelte-h":!0}),g(Qe)!=="svelte-ectrn8"&&(Qe.textContent=oo),Et.forEach(n),y.forEach(n),this.h()},h(){d(P,"name","hf:doc:metadata"),d(P,"content",JSON.stringify(vo)),d(C,"id","vae-image-processor"),d(C,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(C,"href","#vae-image-processor"),d(x,"class","relative group"),d(z,"id","diffusers.image_processor.VaeImageProcessor"),d(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(z,"href","#diffusers.image_processor.VaeImageProcessor"),d(w,"class","relative group"),d(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(B,"id","diffusers.image_processor.VaeImageProcessorLDM3D"),d(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(B,"href","#diffusers.image_processor.VaeImageProcessorLDM3D"),d(V,"class","relative group"),d(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,$){e(document.head,P),I(t,tt,$),I(t,x,$),e(x,C),e(C,Xe),f(Q,Xe,null),e(x,kt),e(x,Ve),I(t,rt,$),I(t,X,$),I(t,ot,$),I(t,Z,$),I(t,at,$),I(t,w,$),e(w,z),e(z,Ze),f(ee,Ze,null),e(w,Mt),e(w,Ce),I(t,st,$),I(t,i,$),f(te,i,null),e(i,At),e(i,ze),e(i,Ht),e(i,L),f(re,L,null),e(L,St),e(L,Le),e(i,Ft),e(i,D),f(oe,D,null),e(D,Ot),e(D,De),e(i,Ut),e(i,T),f(ae,T,null),e(T,Wt),e(T,Te),e(i,Rt),e(i,N),f(se,N,null),e(N,qt),e(N,Ne),e(i,Bt),e(i,E),f(ne,E,null),e(E,jt),e(E,Ee),e(i,Gt),e(i,k),f(ie,k,null),e(k,Jt),e(k,ke),e(i,Yt),e(i,M),f(de,M,null),e(M,Kt),e(M,Me),e(i,Qt),e(i,A),f(ce,A,null),e(A,Xt),e(A,Ae),e(i,Zt),e(i,H),f(me,H,null),e(H,er),e(H,He),e(i,tr),e(i,S),f(ge,S,null),e(S,rr),e(S,Se),e(i,or),e(i,F),f(le,F,null),e(F,ar),e(F,Fe),e(i,sr),e(i,O),f(pe,O,null),e(O,nr),e(O,Oe),e(i,ir),e(i,U),f(fe,U,null),e(U,dr),e(U,Ue),e(i,cr),e(i,W),f(he,W,null),e(W,mr),e(W,We),e(i,gr),e(i,R),f(ue,R,null),e(R,lr),e(R,Re),e(i,pr),e(i,q),f(_e,q,null),e(q,fr),e(q,qe),I(t,nt,$),I(t,V,$),e(V,B),e(B,et),f(ve,et,null),e(V,hr),e(V,Be),I(t,it,$),I(t,be,$),I(t,dt,$),I(t,b,$),f($e,b,null),e(b,ur),e(b,je),e(b,_r),e(b,j),f(Ie,j,null),e(j,vr),e(j,Ge),e(b,br),e(b,G),f(ye,G,null),e(G,$r),e(G,Je),e(b,Ir),e(b,J),f(Pe,J,null),e(J,yr),e(J,Ye),e(b,Pr),e(b,Y),f(xe,Y,null),e(Y,xr),e(Y,Ke),e(b,wr),e(b,K),f(we,K,null),e(K,Vr),e(K,Qe),ct=!0},p:lo,i(t){ct||(h(Q.$$.fragment,t),h(ee.$$.fragment,t),h(te.$$.fragment,t),h(re.$$.fragment,t),h(oe.$$.fragment,t),h(ae.$$.fragment,t),h(se.$$.fragment,t),h(ne.$$.fragment,t),h(ie.$$.fragment,t),h(de.$$.fragment,t),h(ce.$$.fragment,t),h(me.$$.fragment,t),h(ge.$$.fragment,t),h(le.$$.fragment,t),h(pe.$$.fragment,t),h(fe.$$.fragment,t),h(he.$$.fragment,t),h(ue.$$.fragment,t),h(_e.$$.fragment,t),h(ve.$$.fragment,t),h($e.$$.fragment,t),h(Ie.$$.fragment,t),h(ye.$$.fragment,t),h(Pe.$$.fragment,t),h(xe.$$.fragment,t),h(we.$$.fragment,t),ct=!0)},o(t){u(Q.$$.fragment,t),u(ee.$$.fragment,t),u(te.$$.fragment,t),u(re.$$.fragment,t),u(oe.$$.fragment,t),u(ae.$$.fragment,t),u(se.$$.fragment,t),u(ne.$$.fragment,t),u(ie.$$.fragment,t),u(de.$$.fragment,t),u(ce.$$.fragment,t),u(me.$$.fragment,t),u(ge.$$.fragment,t),u(le.$$.fragment,t),u(pe.$$.fragment,t),u(fe.$$.fragment,t),u(he.$$.fragment,t),u(ue.$$.fragment,t),u(_e.$$.fragment,t),u(ve.$$.fragment,t),u($e.$$.fragment,t),u(Ie.$$.fragment,t),u(ye.$$.fragment,t),u(Pe.$$.fragment,t),u(xe.$$.fragment,t),u(we.$$.fragment,t),ct=!1},d(t){t&&(n(tt),n(x),n(rt),n(X),n(ot),n(Z),n(at),n(w),n(st),n(i),n(nt),n(V),n(it),n(be),n(dt),n(b)),n(P),_(Q),_(ee),_(te),_(re),_(oe),_(ae),_(se),_(ne),_(ie),_(de),_(ce),_(me),_(ge),_(le),_(pe),_(fe),_(he),_(ue),_(_e),_(ve),_($e),_(Ie),_(ye),_(Pe),_(xe),_(we)}}}const vo={local:"vae-image-processor",sections:[{local:"diffusers.image_processor.VaeImageProcessor",title:"VaeImageProcessor"},{local:"diffusers.image_processor.VaeImageProcessorLDM3D",title:"VaeImageProcessorLDM3D"}],title:"VAE Image Processor"};function bo(zr){return po(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class xo extends fo{constructor(P){super(),ho(this,P,bo,_o,go,{})}}export{xo as component};
